query voteCast($id: ID!, $block: Block_height){
    voteCast(id: $id, block: $block){
        id
        voter
        proposalId
        support
        weight
        reason
        blockNumber
        blockTimestamp
        transactionHash
    }
}